## erlang-unicode-util-compat 0.5.0

=== uc_spec/Makefile ===
all: ../src/unicode_util_compat.erl

../src/unicode_util_compat.erl: ../uc_spec/*
	escript ../uc_spec/gen_unicode_mod.escript

=== debian/changelog ===
erlang-unicode-util-compat (0.5.0-3) unstable; urgency=medium

  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:22:31 +0100

erlang-unicode-util-compat (0.5.0-2) unstable; urgency=medium

  * Source-only upload

 -- Philipp Huebner <debalance@debian.org>  Thu, 14 Nov 2019 19:17:35 +0100

erlang-unicode-util-compat (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #944543)

 -- Philipp Huebner <debalance@debian.org>  Tue, 12 Nov 2019 13:35:32 +0100

=== debian/control ===
Source: erlang-unicode-util-compat
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar
Standards-Version: 4.5.0
Homepage: https://github.com/benoitc/unicode_util_compat
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-unicode-util-compat
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-unicode-util-compat.git

Package: erlang-unicode-util-compat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
	 ${erlang:Depends}
Description: unicode_util compatibility library for Erlang <= 20
 This library allows the usage of unicode_util and string from Erlang R21 in
 older Erlang >= R18.
 It is primarily needed to provide backports of ejabberd for Buster.

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-unicode-util-compat_$1.tar.gz/" \
         https://github.com/benoitc/unicode_util_compat/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-unicode-util-compat 0.7.0

=== debian/changelog ===
erlang-unicode-util-compat (0.7.0-4) unstable; urgency=medium

  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 11:44:37 +0100

erlang-unicode-util-compat (0.7.0-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:04:58 +0100

erlang-unicode-util-compat (0.7.0-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:19:10 +0100

erlang-unicode-util-compat (0.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update renamed lintian tag names in lintian overrides.

  [ Philipp Huebner ]
  * New upstream version 0.7.0
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 22:10:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/benoitc/unicode_util_compat
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-unicode-util-compat
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-unicode-util-compat.git
@@ -17,6 +17,7 @@
          ${misc:Depends},
 	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
 	 ${erlang:Depends}
+Multi-Arch: allowed
 Description: unicode_util compatibility library for Erlang <= 20
  This library allows the usage of unicode_util and string from Erlang R21 in
  older Erlang >= R18.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-unicode-util-compat


%:
	dh $@ --buildsystem=rebar --with rebar

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-unicode-util-compat_$1.tar.gz/" \
         https://github.com/benoitc/unicode_util_compat/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
